patches for DPDK stable branches
 help / color / Atom feed
* Re: [dpdk-stable] [dpdk-dev] [RFC PATCH 0/5] Support Intel IPSec MB v0.53 in DPDK 18.11
       [not found] <20200305153454.724874-1-pablo.de.lara.guarch@intel.com>
@ 2020-03-19 14:32 ` Kevin Traynor
  2020-03-20 15:14   ` De Lara Guarch, Pablo
  0 siblings, 1 reply; 2+ messages in thread
From: Kevin Traynor @ 2020-03-19 14:32 UTC (permalink / raw)
  To: Pablo de Lara, stable; +Cc: Luca Boccassi, dev

+stable@dpdk.org

Hi Pablo,

Sorry, but I'm not comfortable with these patches for 18.11.

On 05/03/2020 15:34, Pablo de Lara wrote:
> This patchset adds support to the following crypto PMDs to use
> Intel IPSec MB v0.53, in DPDK v18.11:
> - AESNI MB PMD: had support up to v0.52, extending to v0.53
> - AESNI GCM PMD: had support up to v0.52, extending to v0.53

For the AES ones, it looks like it is removing support for <0.50? I'm
also not clear if it's changing the default or not. The patches are
very intrusive too. My concern is that it might break backwards
compatibility and introduce regressions.

> - SNOW3G PMD: linking now to IPSec MB v0.53, instead of libsso
> - ZUC PMD: linking now to IPSec MB v0.53, instead of libsso
> - KASUMI PMD: linking now to IPSec MB v0.53, instead of libsso
> 

Aren't these the ones we discussed offline? If so, Luca and I both
commented that this will break build for existing users and is not a
backwards compatible change that could be put on stable branches.

> Pablo de Lara (5):
>   crypto/zuc: use IPSec MB library v0.53
>   crypto/snow3g: use IPSec MB library v0.53
>   crypto/kasumi: use IPSec MB library v0.53
>   crypto/aesni_mb: support IPSec MB library v0.53
>   crypto/aesni_gcm: support IPSec MB library v0.53
> 
>  devtools/test-build.sh                        |  14 +-
>  doc/guides/cryptodevs/kasumi.rst              |  62 +--
>  doc/guides/cryptodevs/snow3g.rst              |  58 ++-
>  doc/guides/cryptodevs/zuc.rst                 |  52 +-
>  drivers/crypto/aesni_gcm/aesni_gcm_ops.h      |  65 +--
>  drivers/crypto/aesni_gcm/aesni_gcm_pmd.c      | 130 +++--
>  drivers/crypto/aesni_gcm/aesni_gcm_pmd_ops.c  |   4 +-
>  .../crypto/aesni_gcm/aesni_gcm_pmd_private.h  |   4 +
>  drivers/crypto/aesni_mb/rte_aesni_mb_pmd.c    | 476 ++++++++++++------
>  .../crypto/aesni_mb/rte_aesni_mb_pmd_ops.c    | 205 +++++---
>  .../aesni_mb/rte_aesni_mb_pmd_private.h       |  30 +-
>  drivers/crypto/kasumi/Makefile                |  26 +-
>  drivers/crypto/kasumi/meson.build             |  11 +-
>  drivers/crypto/kasumi/rte_kasumi_pmd.c        |  79 +--
>  drivers/crypto/kasumi/rte_kasumi_pmd_ops.c    |   8 +-
>  .../crypto/kasumi/rte_kasumi_pmd_private.h    |  12 +-
>  drivers/crypto/snow3g/Makefile                |  29 +-
>  drivers/crypto/snow3g/meson.build             |  21 +
>  drivers/crypto/snow3g/rte_snow3g_pmd.c        |  79 +--
>  drivers/crypto/snow3g/rte_snow3g_pmd_ops.c    |   8 +-
>  .../crypto/snow3g/rte_snow3g_pmd_private.h    |  12 +-
>  drivers/crypto/zuc/Makefile                   |  28 +-
>  drivers/crypto/zuc/meson.build                |  13 +-
>  drivers/crypto/zuc/rte_zuc_pmd.c              |  58 ++-
>  drivers/crypto/zuc/rte_zuc_pmd_ops.c          |   2 +
>  drivers/crypto/zuc/rte_zuc_pmd_private.h      |   6 +-
>  mk/rte.app.mk                                 |   6 +-
>  27 files changed, 972 insertions(+), 526 deletions(-)

                     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
This is a *lot* of code churn

>  create mode 100644 drivers/crypto/snow3g/meson.build
> 

thanks,
Kevin.


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dpdk-stable] [dpdk-dev] [RFC PATCH 0/5] Support Intel IPSec MB v0.53 in DPDK 18.11
  2020-03-19 14:32 ` [dpdk-stable] [dpdk-dev] [RFC PATCH 0/5] Support Intel IPSec MB v0.53 in DPDK 18.11 Kevin Traynor
@ 2020-03-20 15:14   ` De Lara Guarch, Pablo
  0 siblings, 0 replies; 2+ messages in thread
From: De Lara Guarch, Pablo @ 2020-03-20 15:14 UTC (permalink / raw)
  To: Kevin Traynor, stable; +Cc: Luca Boccassi, dev

Hi Kevin,

> -----Original Message-----
> From: Kevin Traynor <ktraynor@redhat.com>
> Sent: Thursday, March 19, 2020 2:32 PM
> To: De Lara Guarch, Pablo <pablo.de.lara.guarch@intel.com>; stable@dpdk.org
> Cc: Luca Boccassi <bluca@debian.org>; dev@dpdk.org
> Subject: Re: [dpdk-dev] [RFC PATCH 0/5] Support Intel IPSec MB v0.53 in DPDK
> 18.11
> 
> +stable@dpdk.org
> 
> Hi Pablo,
> 
> Sorry, but I'm not comfortable with these patches for 18.11.
> 
> On 05/03/2020 15:34, Pablo de Lara wrote:
> > This patchset adds support to the following crypto PMDs to use Intel
> > IPSec MB v0.53, in DPDK v18.11:
> > - AESNI MB PMD: had support up to v0.52, extending to v0.53
> > - AESNI GCM PMD: had support up to v0.52, extending to v0.53
> 
> For the AES ones, it looks like it is removing support for <0.50? I'm also not clear
> if it's changing the default or not. The patches are very intrusive too. My
> concern is that it might break backwards compatibility and introduce
> regressions.
> 
> > - SNOW3G PMD: linking now to IPSec MB v0.53, instead of libsso
> > - ZUC PMD: linking now to IPSec MB v0.53, instead of libsso
> > - KASUMI PMD: linking now to IPSec MB v0.53, instead of libsso
> >
> 
> Aren't these the ones we discussed offline? If so, Luca and I both commented
> that this will break build for existing users and is not a backwards compatible
> change that could be put on stable branches.

No problem, we can park these patches and possibly explore in the future a way to introduce them into 18.11
(probably not, knowing that 18.11 support will be dropped in a few months).
Having these patches available publicly is OK for us, even if they don't get merged.

Thanks,
Pablo

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
     [not found] <20200305153454.724874-1-pablo.de.lara.guarch@intel.com>
2020-03-19 14:32 ` [dpdk-stable] [dpdk-dev] [RFC PATCH 0/5] Support Intel IPSec MB v0.53 in DPDK 18.11 Kevin Traynor
2020-03-20 15:14   ` De Lara Guarch, Pablo

patches for DPDK stable branches

Archives are clonable:
	git clone --mirror http://inbox.dpdk.org/stable/0 stable/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 stable stable/ http://inbox.dpdk.org/stable \
		stable@dpdk.org
	public-inbox-index stable


Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.stable


AGPL code for this site: git clone https://public-inbox.org/ public-inbox